#ifndef MUSICEXTENSIONINTERFACE_H
#define MUSICEXTENSIONINTERFACE_H

#include <QObject>
#include <MApplicationExtensionInterface>

/*!
 * \class MusicArtistExtensionInterface
 * \brief Defines the extension interface for music artist extension
 */
class MusicArtistExtensionInterface
{
public:
    virtual ~MusicArtistExtensionInterface(){}
};
Q_DECLARE_INTERFACE(MusicArtistExtensionInterface, "com.nokia.MusicSuite.extensions.ArtistInterface/1.0");

/*!
 * \class MusicAlbumExtensionInterface
 * \brief Defines the extension interface for music album extension
 */
class MusicAlbumExtensionInterface
{
public:
    virtual ~MusicAlbumExtensionInterface(){}
};
Q_DECLARE_INTERFACE(MusicAlbumExtensionInterface, "com.nokia.MusicSuite.extensions.AlbumInterface/1.0");

/*!
 * \class MusicPlayerExtensionInterface
 * \brief Defines the extension interface for music player extension
 */
class MusicPlayerExtensionInterface
{
public:
    virtual ~MusicPlayerExtensionInterface(){}
};
Q_DECLARE_INTERFACE(MusicPlayerExtensionInterface, "com.nokia.MusicSuite.extensions.PlayerInterface/1.0");

#endif //MUSICEXTENSIONINTERFACE_H
