#ifndef VIDEOAPPLICATIONACTIONMEDIATOR_H
#define VIDEOAPPLICATIONACTIONMEDIATOR_H

#include "applicationactionmediator.h"

#include <QObject>
#include "videoapplicationactioncontent.h"

class MWidget;

/*!
 * \class VideoApplicationActionMediator
 * \brief VideoApplicationActionMediator contains video-suite specific
 * commands
 */
class VideoApplicationActionMediator : public ApplicationActionMediator
{
    Q_OBJECT

public:
    /*!
     * \brief Constructor
     */
    VideoApplicationActionMediator(QObject *parent = 0);

    /*!
     * \brief Destructor
     */
    virtual ~VideoApplicationActionMediator();

};

#endif // VIDEOAPPLICATIONACTIONMEDIATOR_H
